#include "hdb_data.hpp"

std::string test_data::bug_3230_hdb()
{
    return R"( [SOFT] AQUA+
[FORWARD_SPEED]   0.00
[PERIODS_NUMBER] 53
[HEADINGS_NUMBER] 13
[LOWEST_HEADINGS]   0.00
[HIGHEST_HEADINGS] 180.00
 [List_calculated_periods]
   3.50
  62.80
 [List_calculated_headings]
   0.000000
   180.0000
 [Mass_Inertia_matrix]
   6.050000E+06  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  6.050000E+06  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  6.050000E+06  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  3.067000E+08  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  6.405000E+09  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  6.405000E+09
 [Hydrostatic_matrix]
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  1.802112E+07  0.000000E+00  1.017471E+08  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  1.219584E+08  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  1.017471E+08  0.000000E+00  1.868065E+10  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
 [Stiffness_matrix_of_the_mooring_system]
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
   0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00  0.000000E+00
 [Added_mass_Radiation_Damping]
 [ADDED_MASS_LINE_1]
    3.50  5.813850E+04  0.000000E+00  2.126879E+05  0.000000E+00  1.458365E+07  0.000000E+00
   62.80  1.484849E+05  0.000000E+00  2.408125E+05  0.000000E+00  4.222793E+07  0.000000E+00
 [ADDED_MASS_LINE_2]
    3.50  0.000000E+00  1.532538E+06  0.000000E+00 -1.102289E+05  0.000000E+00  1.870825E+07
   62.80  0.000000E+00  4.552914E+06  0.000000E+00 -1.091331E+06  0.000000E+00  5.769308E+07
 [ADDED_MASS_LINE_3]
    3.50  1.914594E+05  0.000000E+00  7.829652E+06  0.000000E+00  7.067321E+07  0.000000E+00
   62.80  2.462517E+05  0.000000E+00  2.727680E+07  0.000000E+00  1.945693E+08  0.000000E+00
 [ADDED_MASS_LINE_4]
    3.50  0.000000E+00 -1.008757E+05  0.000000E+00  3.169947E+07  0.000000E+00  1.400620E+08
   62.80  0.000000E+00 -1.089204E+06  0.000000E+00  5.082218E+07  0.000000E+00  3.372635E+08
 [ADDED_MASS_LINE_5]
    3.50  1.474545E+07  0.000000E+00  7.869779E+07  0.000000E+00  6.398430E+09  0.000000E+00
   62.80  4.245345E+07  0.000000E+00  1.967924E+08  0.000000E+00  1.576041E+10  0.000000E+00
 [ADDED_MASS_LINE_6]
    3.50  0.000000E+00  1.870605E+07  0.000000E+00  1.403199E+08  0.000000E+00  2.105090E+09
   62.80  0.000000E+00  5.769090E+07  0.000000E+00  3.368378E+08  0.000000E+00  5.302829E+09
 [DAMPING_TERM_1]
    3.50  6.949359E+04  0.000000E+00  5.802215E+04  0.000000E+00  1.743086E+07  0.000000E+00
   62.80  9.964463E-01  0.000000E+00 -2.052804E+01  0.000000E+00  1.886731E+02  0.000000E+00
 [DAMPING_TERM_2]
    3.50  0.000000E+00  3.520848E+06  0.000000E+00  2.845568E+05  0.000000E+00  5.691420E+07
   62.80  0.000000E+00  2.929883E+00  0.000000E+00 -3.674031E+00  0.000000E+00  1.628166E+01
 [DAMPING_TERM_3]
    3.50  5.641199E+03  0.000000E+00  4.652867E+06  0.000000E+00  3.452414E+07  0.000000E+00
   62.80 -2.833500E+01  0.000000E+00  1.631237E+05  0.000000E+00  8.823056E+05  0.000000E+00
 [DAMPING_TERM_4]
    3.50  0.000000E+00  2.811207E+05  0.000000E+00  2.533853E+07  0.000000E+00  2.818662E+08
   62.80  0.000000E+00 -3.692350E+00  0.000000E+00  4.715945E+00  0.000000E+00 -2.015360E+01
 [DAMPING_TERM_5]
    3.50  1.742984E+07  0.000000E+00  5.238895E+07  0.000000E+00  5.558504E+09  0.000000E+00
   62.80  1.429197E+02  0.000000E+00  9.197218E+05  0.000000E+00  5.066001E+06  0.000000E+00
 [DAMPING_TERM_6]
    3.50  0.000000E+00  5.692180E+07  0.000000E+00  2.798052E+08  0.000000E+00  4.795664E+09
   62.80  0.000000E+00  1.626641E+01  0.000000E+00 -2.000882E+01  0.000000E+00  9.356906E+01
 [DIFFRACTION_FORCES_AND_MOMENTS]
 [INCIDENCE_DFFM_MOD_001]   0.000000
    3.50  1.014032E+05  0.000000E+00  5.915839E+05  0.000000E+00  3.268726E+07  0.000000E+00
   62.80  2.625131E+03  0.000000E+00  2.733610E+05  0.000000E+00  2.004314E+06  0.000000E+00
 [INCIDENCE_DFFM_MOD_002]   180.0000
    3.50  6.005091E+04  4.623288E-02  3.224837E+05  1.570988E-02  2.437725E+07  2.042464E+00
   62.80  2.626924E+03  3.760200E-03  2.731106E+05  2.715124E-03  1.979129E+06  4.479003E-02
 [INCIDENCE_DFFM_PH_001]   0.000000
  3.50  2.079964E+00  -3.141592E+00  1.818591E+00  -3.141592E+00  1.775012E+00  -3.141592E+00
  62.80  2.733295E+00  -3.141592E+00  3.080202E+00  -3.141592E+00  2.964458E+00  -3.141592E+00
 [INCIDENCE_DFFM_PH_002]   180.0000
  3.50  2.278477E+00  -1.962097E+00  -2.796275E+00  -1.621397E+00  -2.851154E+00  -7.915440E-01
  62.80  -2.731876E+00  -1.516828E+00  3.083510E+00  1.855221E+00  -3.055981E+00  -2.203617E+00
 [RAO]
 [INCIDENCE_RAO_MOD_001]   0.000000
    3.50  2.196136E-03  0.000000E+00  1.505054E-02  0.000000E+00  6.948295E-02  0.000000E+00
   62.80  4.305084E-02  0.000000E+00  1.531321E-02  0.000000E+00  1.560736E-03  0.000000E+00
 [INCIDENCE_RAO_MOD_002]   180.0000
    3.50  2.938541E-03  1.533835E-09  6.857106E-03  2.086727E-09  5.411721E-02  4.275462E-09
   62.80  4.305192E-02  3.478399E-08  1.530900E-02  1.302698E-09  1.560986E-03  1.592412E-08
 [INCIDENCE_RAO_PH_001]   0.000000
  3.50  -2.423310E-01  0.000000E+00  -9.942470E-01  0.000000E+00  -9.363750E-01  -3.141592E+00
  62.80  -4.041100E-01  0.000000E+00  3.084046E+00  -3.141592E+00  2.599247E+00  -3.141592E+00
 [INCIDENCE_RAO_PH_002]   180.0000
  3.50  -1.878486E+00  1.321876E+00  7.155010E-01  -1.034479E+00  7.160410E-01  2.718784E+00
  62.80  4.039760E-01  1.663709E+00  3.076730E+00  1.519164E+00  -2.599107E+00  5.148760E-01
 [DRIFT_FORCES_AND_MOMENTS]
 [INCIDENCE_DFM_001]   0.000000
    3.50  6.112841E+04  1.976466E-02 -9.207478E+04 -2.909069E-01 -3.958792E+06  1.425705E-01
   62.80  8.736473E+02 -1.341048E-02 -9.119503E+03 -6.980100E-02 -5.346837E+04  4.968307E-01
 [INCIDENCE_DFM_002]   180.0000
    3.50 -6.374227E+03 -3.968544E-02 -8.666329E+04 -1.511403E-01  2.202380E+06  5.975488E-01
   62.80  8.892328E+02 -4.598510E-02 -9.119545E+03  2.272180E-01 -5.352072E+04 -1.931632E-01
)";
}
